Skip to Content
veriom

Create API token

POST
/v1/workspaces/{workspace_id}/api-tokens

Authorization

workspaceToken
headerAuthorizationBearer <vat_<opaque-token>>

Expiring, hashed workspace token with explicit scopes.

Path Parameters

workspace_id*Workspace Id
Formatuuid

Request Body

application/json
  1. body
expires_at*Expires At
Formatdate-time
name*Name
Length1 <= length <= 255
scopes*array<>
Items1 <= items <= 25

Response Body

Successful Response

application/json
  1. response
expires_at*Expires At
Formatdate-time
id*Id
Formatuuid
name*Name
prefix*Prefix
scopes*array<string>
token*Token
Example Request
curl -X POST 'https://api.veriom.ai/v1/workspaces/497f6eca-6276-4993-bfeb-53cbbbba6f08/api-tokens' \  -H 'Content-Type: application/json' \  -d '{  "expires_at": "2019-08-24T14:15:22Z",  "name": "string",  "scopes": [    "audits:read"  ]}'
Example Response
{  "expires_at": "2019-08-24T14:15:22Z",  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "name": "string",  "prefix": "string",  "scopes": [    "string"  ],  "token": "string"}